Skip to main content

5) Security Document SFI Information Retrieval

Returns the information by inputting the path of the document to be encrypted and the SFI key to be queried.

API

MethodURL
POST/api/header-info/keys

Request Body

NameRequiredTypeDescription
srcFileNamerequiredstringEncryption Document Path
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
sfiKeysrequiredarray[]List of SFI Keys for Querying (16 items)
- DOC_BRANCH_UID
- CREATE_PATH
- VERIFICATION_DATA
- SERVER_ID
- WRITER_GROUP_HIERARCHY
- EXTRA_INFO
- WRITER_NAME
- WRITER_GROUP_NAME
- ENC_TYPE
- DOCUMENT_GRADE
- WRITER_ID
- DOC_PARENT_BRANCH_UID
- DOC_UID
- CREATE_TIME
- SERVER_NAME
- DOCUMENT_TYPE

Response

NameTypeDescription
codeint0: Success
Value other than 0: Error
{입력 받은 SFI 키}JSONData corresponding to the input SFI key
messageJSONError Message

Examples

Request

  • Body
{
"srcFileName": "E:\\test\\orgin\\test.xlsx",
"licenseKey" : "C86C-4E9BF-575D-FD0B1",
"sfiKeys" : ["DOC_BRANCH_UID", "EXTRA_INFO", "SERVER_ID"]
}

Response

  • success
  • SFI data retrieval successful
{
"code": 0,
"DOC_BRANCH_UID": "Re*_vR7vpr9077*9W**_vSfquansgZR7",
"EXTRA_INFO": "NO DATA",
"SERVER_ID": "SCAM-ED72-262C-433A-9111"
}
  • In the case of a general document
{
"code": -36,
"message": "This document is not encrypted."
}
  • failure
  • Status code : 401 UNAUTHORIZED
{
"code": 40107,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}
  • Status code : 400 Bad Request
{
"code": 40001,
"message": "Missing required input values"
}

{
"code": 1020,
"message": "Decryption of header failed"
}

{
"code": 4010,
"message": "Encryption algorithm not found"
}
  • Other code requires checking the definition of errorCode in scsl.jar.